org.apache.poi.ss.util

## Class RegionUtil

- java.lang.Object
- - org.apache.poi.ss.util.RegionUtil

-     public final class RegionUtil
      extends java.lang.Object

  Various utility functions that make working with a region of cells easier.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `setBorderBottom(BorderStyle border, CellRangeAddress region, Sheet sheet)` Sets the bottom border style for a region of cells by manipulating the cell style of the individual cells on the bottom
    `static void` | `setBorderLeft(BorderStyle border, CellRangeAddress region, Sheet sheet)` Sets the left border style for a region of cells by manipulating the cell style of the individual cells on the left
    `static void` | `setBorderRight(BorderStyle border, CellRangeAddress region, Sheet sheet)` Sets the right border style for a region of cells by manipulating the cell style of the individual cells on the right
    `static void` | `setBorderTop(BorderStyle border, CellRangeAddress region, Sheet sheet)` Sets the top border style for a region of cells by manipulating the cell style of the individual cells on the top
    `static void` | `setBottomBorderColor(int color, CellRangeAddress region, Sheet sheet)` Sets the bottom border color for a region of cells by manipulating the cell style of the individual cells on the bottom
    `static void` | `setLeftBorderColor(int color, CellRangeAddress region, Sheet sheet)` Sets the left border color for a region of cells by manipulating the cell style of the individual cells on the left
    `static void` | `setRightBorderColor(int color, CellRangeAddress region, Sheet sheet)` Sets the right border color for a region of cells by manipulating the cell style of the individual cells on the right
    `static void` | `setTopBorderColor(int color, CellRangeAddress region, Sheet sheet)` Sets the top border color for a region of cells by manipulating the cell style of the individual cells on the top

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setBorderLeft

          public static void setBorderLeft(BorderStyle border,
                                           CellRangeAddress region,
                                           Sheet sheet)

      Sets the left border style for a region of cells by manipulating the cell style of the individual cells on the left
      Parameters:
        `border` - The new border
        `region` - The region that should have the border
        `sheet` - The sheet that the region is on.
      Since:
        POI 3.16 beta 1

    - #### setLeftBorderColor

          public static void setLeftBorderColor(int color,
                                                CellRangeAddress region,
                                                Sheet sheet)

      Sets the left border color for a region of cells by manipulating the cell style of the individual cells on the left
      Parameters:
        `color` - The color of the border
        `region` - The region that should have the border
        `sheet` - The sheet that the region is on.
      Since:
        POI 3.15 beta 2

    - #### setBorderRight

          public static void setBorderRight(BorderStyle border,
                                            CellRangeAddress region,
                                            Sheet sheet)

      Sets the right border style for a region of cells by manipulating the cell style of the individual cells on the right
      Parameters:
        `border` - The new border
        `region` - The region that should have the border
        `sheet` - The sheet that the region is on.
      Since:
        POI 3.16 beta 1

    - #### setRightBorderColor

          public static void setRightBorderColor(int color,
                                                 CellRangeAddress region,
                                                 Sheet sheet)

      Sets the right border color for a region of cells by manipulating the cell style of the individual cells on the right
      Parameters:
        `color` - The color of the border
        `region` - The region that should have the border
        `sheet` - The sheet that the region is on.
      Since:
        POI 3.15 beta 2

    - #### setBorderBottom

          public static void setBorderBottom(BorderStyle border,
                                             CellRangeAddress region,
                                             Sheet sheet)

      Sets the bottom border style for a region of cells by manipulating the cell style of the individual cells on the bottom
      Parameters:
        `border` - The new border
        `region` - The region that should have the border
        `sheet` - The sheet that the region is on.
      Since:
        POI 3.16 beta 1

    - #### setBottomBorderColor

          public static void setBottomBorderColor(int color,
                                                  CellRangeAddress region,
                                                  Sheet sheet)

      Sets the bottom border color for a region of cells by manipulating the cell style of the individual cells on the bottom
      Parameters:
        `color` - The color of the border
        `region` - The region that should have the border
        `sheet` - The sheet that the region is on.
      Since:
        POI 3.15 beta 2

    - #### setBorderTop

          public static void setBorderTop(BorderStyle border,
                                          CellRangeAddress region,
                                          Sheet sheet)

      Sets the top border style for a region of cells by manipulating the cell style of the individual cells on the top
      Parameters:
        `border` - The new border
        `region` - The region that should have the border
        `sheet` - The sheet that the region is on.
      Since:
        POI 3.16 beta 1

    - #### setTopBorderColor

          public static void setTopBorderColor(int color,
                                               CellRangeAddress region,
                                               Sheet sheet)

      Sets the top border color for a region of cells by manipulating the cell style of the individual cells on the top
      Parameters:
        `color` - The color of the border
        `region` - The region that should have the border
        `sheet` - The sheet that the region is on.
      Since:
        POI 3.15 beta 2

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.